Bug 89237 - Config.pm incorrectly parses perl configuration
Summary: Config.pm incorrectly parses perl configuration
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-21 19:07 UTC by Don Shanks
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-11 11:49:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproduction script (320 bytes, text/plain)
2003-04-21 19:09 UTC, Don Shanks
no flags Details

Description Don Shanks 2003-04-21 19:07:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
Originaly identified by getting incorrect Makefile generation, many of the
variables pulled from the default Config.pm installed with the perl-5.8.0-88 rpm
seem to go past the line breaks that should deliniate the variable values. An
example would be when MakeMaker gets the const_config variables specifically
LIB_EXT, the line in Config.pm reads lib_ext='.a' and should be parsed to
LIB_EXT = .a, but is actaully parsed as LIB_EXT .a \n libc =. this results in a
missing seperator error for MakeMaker. The error was duplicated in writing a
script example that pulls directly from Config.pm.

Version-Release number of selected component (if applicable):
perl -5.8.0-88

How reproducible:
Always

Steps to Reproduce:
1.Download a PERL module (Digest-MD5, Time-HiRes, etc )
2.untar and run perl Makefile.PL

    

Actual Results:  Makefile error: *** missing seperator ***

Expected Results:  Valid Makefile created

Additional info:

Comment 1 Don Shanks 2003-04-21 19:09:56 UTC
Created attachment 91203 [details]
reproduction script

This script was used to reproduce the error

Comment 2 Chip Turner 2003-07-14 13:16:47 UTC
can you test against perl in Rawhide?  this should now be fixed


Note You need to log in before you can comment on or make changes to this bug.